[45337] trunk/dports/net/pidgin

simon at macports.org simon at macports.org
Tue Jan 13 14:00:03 PST 2009


Revision: 45337
          http://trac.macports.org/changeset/45337
Author:   simon at macports.org
Date:     2009-01-13 14:00:03 -0800 (Tue, 13 Jan 2009)
Log Message:
-----------
net/pidgin: Updated to 2.5.4, closes #17052. Thanks to shreevatsa.public at gmail.com.

Modified Paths:
--------------
    trunk/dports/net/pidgin/Portfile

Added Paths:
-----------
    trunk/dports/net/pidgin/files/autogen.sh

Modified: trunk/dports/net/pidgin/Portfile
===================================================================
--- trunk/dports/net/pidgin/Portfile	2009-01-13 21:52:27 UTC (rev 45336)
+++ trunk/dports/net/pidgin/Portfile	2009-01-13 22:00:03 UTC (rev 45337)
@@ -3,7 +3,7 @@
 PortSystem          1.0
 
 name                pidgin
-version             2.5.3
+version             2.5.4
 categories          net
 platforms           darwin
 maintainers         simon openmaintainer
@@ -18,9 +18,9 @@
 
 homepage            http://www.pidgin.im/
 master_sites        sourceforge
-checksums           md5 4abc4ce9e1ad62bbf098f05f305147d7 \
-                    sha1 bd3f6eca0a0c9b221be8a664e904450db8589314 \
-                    rmd160 c139b2746f2557f5f132e6460f5bff7009fd8259
+checksums           md5 295fe533288c821342b660b6fc83bc11 \
+                    sha1 80f7a9e311d4ed6f2438f2ee16a4bdc66edcc2ad \
+                    rmd160 13f9e27e00e73a02b18f967fcf722a0c511569e5
 use_bzip2           yes
 
 depends_build       port:libtool
@@ -59,7 +59,7 @@
 
 post-destroot {
     # Installed for perl, but collides with other perl ports.
-    file delete ${destroot}${prefix}/lib/perl5/5.8.8/darwin-2level/perllocal.pod
+    file delete ${destroot}${prefix}/lib/perl5/5.8.9/darwin-2level/perllocal.pod
 }
 
 post-activate {
@@ -82,6 +82,7 @@
 
     post-patch {
         reinplace "s|@INTLTOOL_ICONV@|${prefix}/bin/iconv|g" intltool-merge.in
+        system "${filespath}/autogen.sh"
     }
 }
 

Added: trunk/dports/net/pidgin/files/autogen.sh
===================================================================
--- trunk/dports/net/pidgin/files/autogen.sh	                        (rev 0)
+++ trunk/dports/net/pidgin/files/autogen.sh	2009-01-13 22:00:03 UTC (rev 45337)
@@ -0,0 +1,151 @@
+#! /bin/sh
+# Pidgin and Finch: The Pimpin' Penguin IM Clients That're Good for the Soul
+# Copyright (C) 2003-2008 Gary Kramlich <grim at reaperworld.com>
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the Free
+# Software Foundation; either version 2 of the License, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
+# more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 51
+# Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
+###############################################################################
+# Usage
+###############################################################################
+# This script uses a config file that can be used to stash common arguments
+# passed to configure or environment variables that need to be set before
+# configure is called.  The configuration file is a simple shell script that
+# gets sourced.
+#
+# By default, the config file that is used is named 'autogen.args'.  This can
+# be configured below.
+#
+# Available options that are handled are as follow:
+#   ACLOCAL_FLAGS - command line arguments to pass to aclocal
+#   AUTOCONF_FLAGS - command line arguments to pass to autoconf
+#   AUTOHEADER_FLAGS - command line arguments to pass to autoheader
+#   AUTOMAKE_FLAGS - command line arguments to pass to automake flags
+#   CONFIGURE_FLAGS - command line arguments to pass to configure
+#   GLIB_GETTEXTIZE_FLAGS - command line arguments to pass to glib-gettextize
+#   INTLTOOLIZE_FLAGS - command line arguments to pass to intltoolize
+#   LIBTOOLIZE_FLAGS - command line arguments to pass to libtoolize
+#
+# Other helpful notes:
+#   If you're using a different c compiler, you can override the environment
+#   variable in 'autogen.args'.  For example, say you're using distcc, just add
+#   the following to 'autogen.args':
+#
+#       CC="distcc"
+#
+#   This will work for any influential environment variable to configure.
+###############################################################################
+PACKAGE="Pidgin"
+ARGS_FILE="autogen.args"
+export CFLAGS
+export LDFLAGS
+
+libtoolize="libtoolize"
+case $(uname -s) in
+	Darwin*)
+		libtoolize="glibtoolize"
+		;;
+	*)
+esac
+
+###############################################################################
+# Some helper functions
+###############################################################################
+check () {
+	CMD=$1
+
+	printf "%s" "checking for ${CMD}... "
+	BIN=`which ${CMD} 2>/dev/null`
+
+	if [ x"${BIN}" = x"" ] ; then
+		echo "not found."
+		echo "${CMD} is required to build ${PACKAGE}!"
+		exit 1;
+	fi
+
+	echo "${BIN}"
+}
+
+run_or_die () { # beotch
+	CMD=$1
+	shift
+
+	OUTPUT=`mktemp autogen-XXXXXX`
+
+	printf "%s" "running ${CMD} ${@}... "
+	${CMD} ${@} >${OUTPUT} 2>&1
+
+	if [ $? != 0 ] ; then
+		echo "failed."
+		cat ${OUTPUT}
+		rm -f ${OUTPUT}
+		exit 1
+	else
+		echo "done."
+		cat ${OUTPUT}
+
+		rm -f ${OUTPUT}
+	fi
+}
+
+###############################################################################
+# We really start here, yes, very sneaky!
+###############################################################################
+FIGLET=`which figlet 2> /dev/null`
+if [ x"${FIGLET}" != x"" ] ; then
+	${FIGLET} -f small ${PACKAGE}
+	echo "build system is being generated"
+else
+	echo "autogenerating build system for '${PACKAGE}'"
+fi
+
+###############################################################################
+# Look for our args file
+###############################################################################
+printf "%s" "checking for ${ARGS_FILE}: "
+if [ -f ${ARGS_FILE} ] ; then
+	echo "found."
+	printf "%s" "sourcing ${ARGS_FILE}: "
+	. "`dirname "$0"`"/${ARGS_FILE}
+	echo "done."
+else
+	echo "not found."
+fi
+
+###############################################################################
+# Check for our required helpers
+###############################################################################
+check "$libtoolize";		LIBTOOLIZE=${BIN};
+check "glib-gettextize";	GLIB_GETTEXTIZE=${BIN};
+check "intltoolize";		INTLTOOLIZE=${BIN};
+check "aclocal";		ACLOCAL=${BIN};
+check "autoheader";		AUTOHEADER=${BIN};
+check "automake";		AUTOMAKE=${BIN};
+check "autoconf";		AUTOCONF=${BIN};
+
+###############################################################################
+# Run all of our helpers
+###############################################################################
+run_or_die ${LIBTOOLIZE} ${LIBTOOLIZE_FLAGS:-"-c -f --automake"}
+run_or_die ${GLIB_GETTEXTIZE} ${GLIB_GETTEXTIZE_FLAGS:-"--force --copy"}
+run_or_die ${INTLTOOLIZE} ${INTLTOOLIZE_FLAGS:-"-c -f --automake"}
+run_or_die ${ACLOCAL} ${ACLOCAL_FLAGS:-"-I m4macros"}
+run_or_die ${AUTOHEADER} ${AUTOHEADER_FLAGS}
+run_or_die ${AUTOMAKE} ${AUTOMAKE_FLAGS:-"-a -c --gnu"}
+run_or_die ${AUTOCONF} ${AUTOCONF_FLAGS}
+
+###############################################################################
+# Run configure
+###############################################################################
+echo "NOT running ./configure ${CONFIGURE_FLAGS} $@"


Property changes on: trunk/dports/net/pidgin/files/autogen.sh
___________________________________________________________________
Added: svn:executable
   + *
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/macports-changes/attachments/20090113/b9ba63e3/attachment.html>


More information about the macports-changes mailing list